create xform /graph1 [10,20,600,400]
create xgraph /graph1/ca -title "calcium conc" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits mM xmax 4000 ymin 0 ymax 0.0012
create xgraph /graph1/buf -title "buffer conc" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits nA xmax  4000 ymin 0 ymax 0.03
create xgraph /graph1/x1 -title "fraction open channels" -xgeom 300 -ygeom 0 -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec ymax 1.0 ymin 0 xmax 4000
create xgraph /graph1/x2 -title "flux, in molecules" -xgeom 300 -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec  xmax 4000 ymax 6e6 ymin 0

addmsg somaCa /graph1/ca PLOT Conc *somaca *blue 
addmsg somaCabuf /graph1/buf PLOT Conc *somaCabuf *blue 

addmsg dendCa /graph1/ca PLOT Conc *dendca *black
addmsg dendCabuf /graph1/buf PLOT Conc *dendCabuf *black
addmsg ERCa /graph1/buf PLOT Conc *ERca *red

addmsg ERCa/x100 /graph1/x1 PLOT fraction *x100 *black
addmsg ERCa/x110 /graph1/x1 PLOT fraction *x110 *blue
addmsg ERCa/x111 /graph1/x1 PLOT fraction *x111 *red

create diffamp x01
setfield x01 gain 1.0 saturation 1.0
addmsg ERCa/x010 x01 PLUS fraction
addmsg ERCa/x011 x01 PLUS fraction

addmsg x01 /graph1/x1 PLOT output *x010+x011 *white

addmsg somaCa/leak /graph1/x2 PLOT deltaflux1 *leak *black
addmsg somaCa/iicrflux /graph1/x2 PLOT deltaflux1 *iicr *red
addmsg somaCa/serca /graph1/x2 PLOT moles_in *-serca *blue
addmsg somadend /graph1/x2 PLOT difflux1 *diffusion *white

xshow /graph1
useclock /graph1/# 1
